Subject: bug#12593: 24.2.50; Autoload (or define-ibuffer-filter?) does not work in eproject

From: Takafumi Arakaki <[email-masked]>
Date: Sun, 7 Oct 2012 19:26:29 +0200

On Sun, Oct 7, 2012 at 5:15 PM, Stefan Monnier <[email-masked]> wrote:
>> $ emacs -Q -L . -batch -f batch-byte-compile *.el
>> ... many warnings ...
>
> These warnings were the important starting point to find the culprit.
>
> I believe I've fixed the underlying problem with the patch below, thank
> you very much.  Please try again with a fully-rebuilt Emacs (you
> probably need to "make bootstrap" for the fix to be effective).

Yes, it works now. Thank you very much.

I will try not to omit information from the next time.

Takafumi

>
>
>         Stefan
>
>
> --- lisp/emacs-lisp/autoload.el 2012-08-11 02:12:12 +0000
> +++ lisp/emacs-lisp/autoload.el 2012-10-07 15:11:40 +0000
> @@ -153,7 +153,7 @@
>                    easy-mmode-define-minor-mode define-minor-mode
>                    cl-defun defun* cl-defmacro defmacro*
>                     define-overloadable-function))
> -      (let* ((macrop (memq car '(defmacro defmacro*)))
> +      (let* ((macrop (memq car '(defmacro cl-defmacro defmacro*)))
>              (name (nth 1 form))
>              (args (pcase car
>                       ((or `defun `defmacro
>